package database;

/**
 * Int class proxy interface.
 */
public interface IntClass extends javax.jmi.reflect.RefClass {
    /**
     * The default factory operation used to create an instance object.
     * @return The created instance object.
     */
    public Int createInt();
    /**
     * Creates an instance object having attributes initialized by the passed 
     * values.
     * @param name 
     * @param size 
     * @param unsigned 
     * @return The created instance object.
     */
    public Int createInt(java.lang.String name, int size, boolean unsigned);
}
