package database;

/**
 * TypedElement object instance interface.
 */
public interface TypedElement extends database.Element {
    /**
     * Returns the value of reference type.
     * @return Value of reference type.
     */
    public database.DataType getType();
    /**
     * Sets the value of reference type. See {@link #getType} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setType(database.DataType newValue);
}
