package database;

/**
 * Column object instance interface.
 */
public interface Column extends database.TypedElement, database.DataType {
    /**
     * Returns the value of attribute isPrimaryKey.
     * @return Value of attribute isPrimaryKey.
     */
    public boolean isPrimaryKey();
    /**
     * Sets the value of isPrimaryKey attribute. See {@link #isPrimaryKey} for 
     * description on the attribute.
     * @param newValue New value to be set.
     */
    public void setPrimaryKey(boolean newValue);
    /**
     * Returns the value of reference table.
     * @return Value of reference table.
     */
    public database.Table getTable();
    /**
     * Sets the value of reference table. See {@link #getTable} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setTable(database.Table newValue);
}
