package database;

/**
 * Column class proxy interface.
 */
public interface ColumnClass extends javax.jmi.reflect.RefClass {
    /**
     * The default factory operation used to create an instance object.
     * @return The created instance object.
     */
    public Column createColumn();
    /**
     * Creates an instance object having attributes initialized by the passed 
     * values.
     * @param name 
     * @param isPrimaryKey 
     * @return The created instance object.
     */
    public Column createColumn(java.lang.String name, boolean isPrimaryKey);
}
