package database;

/**
 * Int object instance interface.
 */
public interface Int extends database.DataType, database.SizedElement {
    /**
     * Returns the value of attribute unsigned.
     * @return Value of attribute unsigned.
     */
    public boolean isUnsigned();
    /**
     * Sets the value of unsigned attribute. See {@link #isUnsigned} for description 
     * on the attribute.
     * @param newValue New value to be set.
     */
    public void setUnsigned(boolean newValue);
}
