package database;

/**
 * SizedElement object instance interface.
 */
public interface SizedElement extends database.Element {
    /**
     * Returns the value of attribute size.
     * @return Value of attribute size.
     */
    public int getSize();
    /**
     * Sets the value of size attribute. See {@link #getSize} for description 
     * on the attribute.
     * @param newValue New value to be set.
     */
    public void setSize(int newValue);
}
