package database;

/**
 * Table object instance interface.
 */
public interface Table extends database.NamedElement {
    /**
     * Returns the value of reference column.
     * @return Value of reference column.
     */
    public java.util.Collection getColumn();
    /**
     * Returns the value of reference dataBase.
     * @return Value of reference dataBase.
     */
    public database.DataBase getDataBase();
    /**
     * Sets the value of reference dataBase. See {@link #getDataBase} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setDataBase(database.DataBase newValue);
}
